import { message, Button, Space } from "antd";

// 底部组件
const BubbleFooter = (props: { content: string; query: string, onNext: () => void }) => {
  const handleCopy = () => {
    navigator.clipboard.writeText(props.content);
    message.success("复制成功");
  };

  const handleGenerateApp = () => {
    // todo 生成应用
    // message.info("正在开发中，敬请期待...");
    // setMessages((arr) => {
    //   return [
    //     ...arr,
    //     {
    //       id: arr.length + "",
    //       content: <GenerateBubble />,
    //       status: "done",
    //       role: "assistant",
    //     },
    //   ];
    // });
  };

  return (
    <Space className="mb-12px">
      <Button type="default" onClick={props.onNext}>
        下一步
      </Button>
      <span className="text-[#1890ff]">
        你可以继续对上述功能进行修改，点击【下一步】进入下一阶段
      </span>
    </Space>
  );
};

export default BubbleFooter;
