import { basic } from "./basic";
import { flowchart } from "./flowchart";
import { er } from "./er";
import { lane } from "./lane";
import { umlBase } from "./uml/common";
import { umlUseCase } from "./uml/usecase";
import { umlSequence } from "./uml/sequence";
import { umlClass } from "./uml/class";

import imageNode from "./ImageNode";

export const flowchartNodes = [
  ...basic,
  ...flowchart,
  ...er,
  ...lane,
  ...umlBase,
  ...umlUseCase,
  ...umlSequence,
  ...umlClass,
  imageNode,
];